package cn.hmsoft.pay.impl.newupay;
/****************************
 * 
 * @note 银联新一代支付请求类 Version: 2.8.3
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2018年2月9日 上午10:20:41
 * @version 4.0.0
 */
public class NewUPayOrderResponse {
	/*************
	 * 必填：AN8
	 * 
	 * 版本号:固定值：20140728
	 */
	private String Version;
	/*************
	 * 选填：N1
	 * 
	 * 接入类型:0：商户身份接入（默认）
	 */
	private String AccessType;

	/*************
	 * 选填：N15
	 * 
	 * 接入机构号:以机构身份接入时必填
	 */
	private String InstuId;
	/*************
	 * 选填：N15
	 * 
	 * 收单机构号:ChinaPay分配
	 */
	private String AcqCode;
	/*************
	 * 必填：N15
	 * 
	 * 商户号:由ChinaPay分配的15位定长数字，用于确认商户身份
	 */
	private String MerId;
	/*************
	 * 必填：AN1..32
	 * 
	 * 商户订单号:必填，变长 32位，同一商户同一交易日期内不可重复
	 */
	private String MerOrderNo;
	/*************
	 * 必填：N8
	 * 
	 * 商户交易日期:商户提交交易的日期，例如交易日期为2015年1月2日，则值为20150102
	 */
	private String TranDate;
	/*************
	 * 必填：N6
	 * 
	 * 商户交易时间:商户提交交易的时间，例如交易时间10点11分22秒，则值为101122
	 */
	private String TranTime;
	/*************
	 * 必填：N1..20
	 * 
	 * 订单金额:单位：分
	 */
	private String OrderAmt;
	/*************
	 * 必填：N4
	 * 
	 * 交易类型:此接口TranType填值范围：
	 */
	private String TranType;

	/*************
	 * 必填：N4
	 * 
	 * 业务类型:固定值：0001
	 */
	private String BusiType;
	/*************
	 * 选填：A3
	 * 
	 * 交易币种:默认为人民币：CNY
	 */
	private String CurryNo;
	/*************
	 * 必填：AN4
	 * 
	 * 订单支付状态:0000为支付成功状态，0001为未支付，其它为失败状态，响应码列表参见附录B
	 */
	private String OrderStatus;
	/*************
	 * 选填：N4
	 * 
	 * 分账类型:原样返回交易请求数据
	 */
	private String SplitType;
	/*************
	 * 选填：N1
	 * 
	 * 分账方式:原样返回交易请求数据
	 */
	private String SplitMethod;
	/*************
	 * 选填：ANS0..512
	 * 
	 * 商户订单分账信息:分账数据，使用规则：
	 */
	private String MerSplitMsg;

	/*************
	 * 选填：AN16
	 * 
	 * 收单流水号:ChinaPay收单系统交易受理流水号
	 */
	private String AcqSeqId;
	/*************
	 * 选填：AN8
	 * 
	 * 收单日期:ChinaPay系统收单交易受理日期，格式：YYYYMMDD
	 */
	private String AcqDate;
	/*************
	 * 选填：N8
	 * 
	 * 渠道流水号:支付渠道返回给ChinaPay的订单号
	 */
	private String ChannelSeqId;
	/*************
	 * 选填：N8
	 * 
	 * 渠道日期:支付渠道返回给ChinaPay的交易日期
	 */
	private String ChannelDate;
	/*************
	 * 选填：N6
	 * 
	 * 渠道时间:支付渠道返回给ChinaPay的交易时间
	 */
	private String ChannelTime;
	/*************
	 * 选填：N1..20
	 * 
	 * 支付账单号:交易类型为账单支付时，下单时返回给商户的账单号
	 */
	private String PayBillNo;
	/*************
	 * 选填：AN15
	 * 
	 * 支付机构号:取值参见附录C
	 */
	private String BankInstNo;
	/*************
	 * 必填：ANS0..128
	 * 
	 * 商品信息:用来描述购买商品的信息，ChinaPay原样返回
	 */
	private String CommodityMsg;
	/*************
	 * 选填：ANS0..1024
	 * 
	 * 商户私有域:商户自定义，ChinaPay原样返回
	 */
	private String MerResv;
	/*************
	 * 选填：ANS0..1024
	 * 
	 * 交易扩展域:交易扩展域，JSON格式填写，商户交易请求内容原样返回
	 */
	private String TranReserved;
	/*************
	 * 选填：ANS0..1024
	 * 
	 * 有卡交易信息域:有卡交易必填，JSON格式，根据不同交易类型填写不同的卡信息;填写后采用RSA加密
	 */
	private String CardTranData;
	/*************
	 * 选填：N0..5
	 * 
	 * 支付超时时间:单位：分钟，以ChinaPay接收交易的时间为准，超过此时间段后用户支付成功的交易，不通知商户，系统自动退款
	 */
	private String PayTimeOut;
	/*************
	 * 选填：ANS0..20
	 * 
	 * 防钓鱼时间戳:当前系统时间，以北京时间为准。格式：YYYYMMDDHHMMSS
	 */
	private String TimeStamp;

	/*************
	 * 选填：ANS1..128
	 * 
	 * 防钓鱼客户浏览器IP:客户浏览器端IP，如商户开通校验IP防钓鱼验证，可填写此域做防钓鱼使用。ChinaPay会获取持卡人访问IP和该字段进行比较
	 * ，如果不一致，则会进行防钓鱼提示或拦截交易
	 */
	private String RemoteAddr;
	/*************
	 * 选填：N8
	 * 
	 * 订单完成日期:YYYYMMDD，支付完成后，ChinaPay返回支付完成日期
	 */
	private String CompleteDate;
	/*************
	 * 选填：N6
	 * 
	 * 订单完成时间:hhmmss，支付完成后，ChinaPay返回支付完成时间
	 */
	private String CompleteTime;
	/*************
	 * 必填：
	 * 
	 * 签名:商户报文签名信息，报文中的所有字段都参与签名（Signature除外）
	 */
	private String Signature;
	public String getVersion() {
		return Version;
	}
	public void setVersion(String version) {
		Version = version;
	}
	public String getAccessType() {
		return AccessType;
	}
	public void setAccessType(String accessType) {
		AccessType = accessType;
	}
	public String getInstuId() {
		return InstuId;
	}
	public void setInstuId(String instuId) {
		InstuId = instuId;
	}
	public String getAcqCode() {
		return AcqCode;
	}
	public void setAcqCode(String acqCode) {
		AcqCode = acqCode;
	}
	public String getMerId() {
		return MerId;
	}
	public void setMerId(String merId) {
		MerId = merId;
	}
	public String getMerOrderNo() {
		return MerOrderNo;
	}
	public void setMerOrderNo(String merOrderNo) {
		MerOrderNo = merOrderNo;
	}
	public String getTranDate() {
		return TranDate;
	}
	public void setTranDate(String tranDate) {
		TranDate = tranDate;
	}
	public String getTranTime() {
		return TranTime;
	}
	public void setTranTime(String tranTime) {
		TranTime = tranTime;
	}
	public String getOrderAmt() {
		return OrderAmt;
	}
	public void setOrderAmt(String orderAmt) {
		OrderAmt = orderAmt;
	}
	public String getTranType() {
		return TranType;
	}
	public void setTranType(String tranType) {
		TranType = tranType;
	}
	public String getBusiType() {
		return BusiType;
	}
	public void setBusiType(String busiType) {
		BusiType = busiType;
	}
	public String getCurryNo() {
		return CurryNo;
	}
	public void setCurryNo(String curryNo) {
		CurryNo = curryNo;
	}
	public String getOrderStatus() {
		return OrderStatus;
	}
	public void setOrderStatus(String orderStatus) {
		OrderStatus = orderStatus;
	}
	public String getSplitType() {
		return SplitType;
	}
	public void setSplitType(String splitType) {
		SplitType = splitType;
	}
	public String getSplitMethod() {
		return SplitMethod;
	}
	public void setSplitMethod(String splitMethod) {
		SplitMethod = splitMethod;
	}
	public String getMerSplitMsg() {
		return MerSplitMsg;
	}
	public void setMerSplitMsg(String merSplitMsg) {
		MerSplitMsg = merSplitMsg;
	}
	public String getAcqSeqId() {
		return AcqSeqId;
	}
	public void setAcqSeqId(String acqSeqId) {
		AcqSeqId = acqSeqId;
	}
	public String getAcqDate() {
		return AcqDate;
	}
	public void setAcqDate(String acqDate) {
		AcqDate = acqDate;
	}
	public String getChannelSeqId() {
		return ChannelSeqId;
	}
	public void setChannelSeqId(String channelSeqId) {
		ChannelSeqId = channelSeqId;
	}
	public String getChannelDate() {
		return ChannelDate;
	}
	public void setChannelDate(String channelDate) {
		ChannelDate = channelDate;
	}
	public String getChannelTime() {
		return ChannelTime;
	}
	public void setChannelTime(String channelTime) {
		ChannelTime = channelTime;
	}
	public String getPayBillNo() {
		return PayBillNo;
	}
	public void setPayBillNo(String payBillNo) {
		PayBillNo = payBillNo;
	}
	public String getBankInstNo() {
		return BankInstNo;
	}
	public void setBankInstNo(String bankInstNo) {
		BankInstNo = bankInstNo;
	}
	public String getCommodityMsg() {
		return CommodityMsg;
	}
	public void setCommodityMsg(String commodityMsg) {
		CommodityMsg = commodityMsg;
	}
	public String getMerResv() {
		return MerResv;
	}
	public void setMerResv(String merResv) {
		MerResv = merResv;
	}
	public String getTranReserved() {
		return TranReserved;
	}
	public void setTranReserved(String tranReserved) {
		TranReserved = tranReserved;
	}
	public String getCardTranData() {
		return CardTranData;
	}
	public void setCardTranData(String cardTranData) {
		CardTranData = cardTranData;
	}
	public String getPayTimeOut() {
		return PayTimeOut;
	}
	public void setPayTimeOut(String payTimeOut) {
		PayTimeOut = payTimeOut;
	}
	public String getTimeStamp() {
		return TimeStamp;
	}
	public void setTimeStamp(String timeStamp) {
		TimeStamp = timeStamp;
	}
	public String getRemoteAddr() {
		return RemoteAddr;
	}
	public void setRemoteAddr(String remoteAddr) {
		RemoteAddr = remoteAddr;
	}
	public String getCompleteDate() {
		return CompleteDate;
	}
	public void setCompleteDate(String completeDate) {
		CompleteDate = completeDate;
	}
	public String getCompleteTime() {
		return CompleteTime;
	}
	public void setCompleteTime(String completeTime) {
		CompleteTime = completeTime;
	}
	public String getSignature() {
		return Signature;
	}
	public void setSignature(String signature) {
		Signature = signature;
	}

}
